VERSION 5.00
Begin VB.Form frmMidi 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Midi Player for <Your Program Name Here>"
   ClientHeight    =   5016
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   3936
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5016
   ScaleWidth      =   3936
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command3 
      Caption         =   "&OK"
      Height          =   372
      Left            =   120
      TabIndex        =   5
      Top             =   4560
      Width           =   3732
   End
   Begin VB.FileListBox File1 
      Height          =   3912
      Left            =   2040
      TabIndex        =   4
      Top             =   120
      Width           =   1812
   End
   Begin VB.DriveListBox Drive1 
      Height          =   288
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1812
   End
   Begin VB.DirListBox Dir1 
      Height          =   3528
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1812
   End
   Begin VB.CommandButton Command2 
      Caption         =   "&Stop"
      Height          =   375
      Left            =   2040
      TabIndex        =   1
      Top             =   4080
      Width           =   1812
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Play"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   4080
      Width           =   1812
   End
End
Attribute VB_Name = "frmMidi"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public Sub OpenMidi()
Dim sFile As String
Dim sShortFile As String * 67
Dim lResult As Long
Dim sError As String * 255

'Set the path and filename to open. I am using the 'mcitest.mid which I found in my VB5 directory in 'the sub folders samples\comptool\mci 'I just copied it to this projects folder.

sFile = Dir1.Path & "\" & File1.filename



'The mciSendString API call doesn't seem to like' 'long filenames that have spaces in them, so we 'will make another API call to get the short 'filename version.

lResult = GetShortPathName(sFile, sShortFile, Len(sShortFile))
sFile = Left(sShortFile, lResult)

'Make the call to open the midi file and assign 'it an alias

lResult = mciSendString("open " & sFile & " type sequencer alias mcitest", ByVal 0&, 0, 0)
'Check to see if there was an error

If lResult Then
lResult = mciGetErrorString(lResult, sError, 255)
Debug.Print "open: " & sError
End If
End Sub
Public Sub PlayMidi()
Dim lResult As Integer
Dim sError As String * 255

'Make the call to start playing the midi

lResult = mciSendString("play mcitest", ByVal 0&, 0, 0)

'Check to see if there were any errors

If lResult Then
lResult = mciGetErrorString(lResult, sError, 255)
Debug.Print "play: " & sError
End If

End Sub
Public Sub CloseMidi()
Dim lResult As Integer
Dim sError As String * 255

'Make the call to close the midi file

lResult = mciSendString("close mcitest", "", 0&, 0&)
'Check to see if there were any errors
If lResult Then
lResult = mciGetErrorString(lResult, sError, 255)
Debug.Print "stop: " & sError
End If
End Sub
Private Sub Command1_Click()
OpenMidi
PlayMidi
    Command1.Caption = "Playing"
    Command2.Caption = "Stop"
End Sub
Private Sub Command2_Click()
CloseMidi
Command2.Caption = "Stopped"
Command1.Caption = "Play"
End Sub
Private Sub Command3_Click()
Unload Me
End Sub
Private Sub Dir1_Change()
On Error GoTo MidErr2
File1.Path = Dir1.Path

MidErr2:

End Sub
Private Sub Drive1_Change()
On Error GoTo MidErr1
Dir1.Path = Drive1.Drive

MidErr1:

End Sub
Private Sub File1_DblClick()
OpenMidi
PlayMidi
Command1.Caption = "Playing"
Command2.Caption = "Stop"
End Sub
Private Sub Form_Load()
File1.Pattern = "*.mid"
Dir1.Path = "C:\"

End Sub
